Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.spi
Interface DemandMetaData

All Superinterfaces:
  Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode

All Known Implementing Classes:
  AbstractDemandMetaData

public interface DemandMetaData
extends MetaDataVisitorNode, org.jboss.util.JBossInterface

Metadata about what a bean demands.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock

Method Summary
`Object` | `getDemand()` What is demanded
`org.jboss.dependency.spi.ControllerState` | `getWhenRequired()` Get when the dependency is required

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`getChildren, visit`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Method Detail

### getDemand

    public Object getDemand()

  What is demanded

  Returns:
    the demand

### getWhenRequired

    public org.jboss.dependency.spi.ControllerState getWhenRequired()

  Get when the dependency is required

  Returns:
    when the dependency is required

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.